# BEGIN SourceDeps(oneline):
BuildRequires: perl(DateTime.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(HTTP/Request.pm) perl(HTTP/Request/Common.pm) perl(HTTP/Status.pm) perl(IO/File.pm) perl(JSON.pm) perl(LWP.pm) perl(LWP/Simple.pm) perl(LWP/UserAgent.pm) perl(Module/Build.pm) perl(Regexp/Common.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Pod/Coverage.pm) perl(Time/HiRes.pm) perl(URI/Escape.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.08
%define module_name RDF-AllegroGraph-Easy
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt1
Summary: Simplistic Interface to AllegroGraph HTTP server
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DR/DRRHO/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
The idea of this interface is to concentrate on the essentials:

=over

=item *

how to get a handle to a remote tuple store (see the RDF::AllegroGraph::Server manpage for details)

=item *

how to get RDF content into that model (see the RDF::AllegroGraph::Repository manpage for details)

=item *

how to query the model (see the RDF::AllegroGraph::Repository manpage for details)

=back

Currently this abstraction layer supports v3 and v4 AG server, albeit with many omissions.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README TODO Changes
%perl_vendor_privlib/R*

%changelog
* Wed Oct 16 2013 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- initial import by package builder

